from helium.bfs10060.bfs10107 import lower, bfs10111
class bfs10120(object):
  def bfs10107(self, value, text):
    raise NotImplementedError()

  def text(self, value, text):
    raise NotImplementedError()


class bfs10117(bfs10120):
  def bfs10107(self, value, text):
    if (not text):
      return ''

    if ('*' in text):
      bfs10121 = value
    else:
      bfs10121 = ("translate(%s, '*', '')" % value)

    return ("starts-with(normalize-space(%s), '%s')" % (lower(bfs10111(bfs10121)), text.lower()))

  def text(self, value, text):
    if (not text):
      return True

    return value.lower().lstrip().startswith(text.lower())


